{% extends 'wafer/base.html' %}
{% load dc22 %}
{% load i18n %}
{% load news %}
{% load sponsors %}
{% load static from staticfiles %}
{% block extra_head %}
  <link rel="alternate" type="application/rss+xml" title="{{ WAFER_CONFERENCE_NAME }} RSS Feed" href="{% url 'news_rss' %}">
  <link rel="alternate" type="application/atom+xml" title="{{ WAFER_CONFERENCE_NAME }} Atom Feed" href="{% url 'news_rss' %}">
{% endblock%}

{% block body_class %}index{% endblock %}
{% block container_class %}index{% endblock %}
{% block tagline_banner %}
<div class="tagline-banner container">
    <p class="lead">
      The 23rd Debian Conference was held in Prizren, Kosovo from Sunday 17th to Sunday 24th July 2022.
      <br />
      DebCamp was held 10-16 July 2022.
    </p>
</div>
{% endblock %}

{% block content %}
  <div class="row">
    <div class="col-xl-9">
      {% if debconf_soon or debconf_day %}
        <section id="calls-to-action" class="row">
            <div class="col-lg-12">
              <div class="card">
                <div class="card-body">
                  {% if debconf_day %}
                  <h2 class="card-title">{{ WAFER_CONFERENCE_NAME }} is underway!</h2>
                  {% elif debconf_soon %}
                  <h2 class="card-title">{{ WAFER_CONFERENCE_NAME }} starts soon!</h2>
                  {% endif %}
                </div>
                  <div class="card-footer">
                    {% current_block_id as current_block_id %}
                    {% if current_block_id %}
                    <a class="btn btn-lg btn-info" href="{% url 'wafer_full_schedule' %}?block={{ current_block_id }}">Today's Schedule</a>
                    {% endif %}
                    <a class="btn btn-lg btn-info" href="{% url 'wafer_full_schedule' %}">Full Schedule</a>
                  </div>
              </div>
            </div>
        </section>
        <section id="video-streams" class="row">
          <div class="col-lg-12">
            <div class="card">
              <div class="card-body">
                <h2 class="card-title">Video streams</h2>
              </div>
            </div>
          </div>
          {% for blk in venue_blocks %}
            <div class="col-lg-6">
              <div class="card">
                 <div class="card-header text-center">
                  <h3>{{ blk.venue.name }}</h3>
                </div>
                <div class="card-body">
                  {% if blk.event.talk and blk.event.talk.video %}
                    <h5 class="card-title">From {{ blk.start_time }} to {{ blk.end_time }}</h5>
                    <div class="card-text">
                      <p>
                        {% include "wafer.schedule/schedule_item.html" with item=blk.event %}
                      </p>
                    </div>
                  {% else %}
                    <div class="card-text">
                      <p>
                        No event streaming currently.
                      </p>
                    </div>
                  {% endif %}
                </div>
                <div class="card-footer text-center">
                  <a class="btn btn-info" href="{{ blk.venue.get_absolute_url }}">
                    Watch the Stream
                  </a>
                </div>
              </div>
            </div>
          {% endfor %}
        </section>
      {% endif %}
      <section class="row">
        {% if user.is_authenticated %}
          <div class="col-lg-12">
            <div class="card">
              <div class="card-body">
                <h2 class="card-title">Profile</h2>
                <div class="card-text">
                  <p>
                    Manage your registration, bursary requests, invoices,
                    accommodation, public bio, and event submissions.
                  </p>
                </div>
              </div>
              <div class="card-footer">
                <a class="btn btn-info" href="{% url 'wafer_user_profile' username=user.username %}">View My Profile</a>
              </div>
            </div>
          </div>
        {% endif %}
      </section>
      <section id="news-section">
        <h1 id="news">News</h1>
        {% recent_news 3 %}
        <div id="more-news-link">
          <a href="{% url 'news' %}" class="btn btn-primary">More news</a>
        </div>
      </section>
    </div>

    <div class="col-xl-3">
      <h1 id="sponsors">Sponsors</h1>
      {% sponsors %}
    </div>
  </div>

  <section id="testimonials-section">
    <div class="row">
      <div class="col-lg-12">
        <h1 id="testimonials">Testimonials</h1>
      </div>
    </div>

    <div class="row justify-content-between">
      <div class="col-lg-5">
        <div class="card">
          <div class="card-body">
            <blockquote class="blockquote">
              <p>
                  Really looking forward to attending my first
                  in-person Debian conference in Kosovo this year.
                  The team working on the Lenovo Linux program strongly
                  believe in supporting the open source community as we
                  work on enabling Linux on our certified platforms,
                  and Debian is an absolute corner-stone of achieving
                  that. We're proud to be sponsoring Debconf and I look
                  forward to collaborating and learning more about
                  Debian in person.
              </p>
              <footer class="blockquote-footer">
                 Mark Pearson - Technical lead, Lenovo Linux PC
              </footer>
            </blockquote>
          </div>
        </div>
      </div>
      <div class="col-lg-7">
        <div class="card">
          <div class="card-body">
            <blockquote class="blockquote text-right">
              <p>
                I have attended several DebConfs and Mini-DebConfs and I find
                them to be great "roll up your sleeves" conferences.
                Starting off with DebCamp where people work together on
                pre-arranged project sprints and thinking about future features
                and practices of one of the oldest and most dynamic of
                GNU/Linux releases.
                After DebCamp is a week of presentations and discussions about
                Debian, suitably framed with good food and good beer (and good
                wine).
                DebConf is a force in the Free Software world, and I encourage
                everyone to attend if they can.
              </p>
              <footer class="blockquote-footer">
                Jon "maddog" Hall - Board Chair of the Linux Professional
                Institute
              </footer>
            </blockquote>
          </div>
        </div>
      </div>
    </div>
  </section>
{%endblock%}
